#ifndef _GG_STRUCT_H
#define _GG_STRUCT_H

#include <libgadu/libgadu.h>

#pragma pack(push,1)


#define GG_LOGIN_NOR 0x000c
#define GG_LOGIN_EXT 0x0013
#define GG_NOTIFY_REPLY 0x000c
#define GG_STATUS 0x0002


//P2P
typedef struct p2p_init
{
	unsigned long remote_uin;
	unsigned long local_uin;
}p2p_init;

typedef struct tagSLinger
{
	u_short l_on;
	u_short l_linger;
}SLINGER;

typedef struct file_info_struct
{
		int have_file_info;		
		int dunno1;
		int dunno2;
        int mode;                  /* dwFileAttributes */
        int ctime[2];              /* ftCreationTime */
        int atime[2];              /* ftLastAccessTime */
        int mtime[2];              /* ftLastWriteTime */
		int size_hdw;              /* grne 4 bajty dugoci pliku */
		int size_ldw;              /* dolne 4 bajty dugoci pliku */
		int reserved1;             /* 0 */
		int reserved2;             /* 0 */
		char file_name[276];       /* tablica zaczynajca si od nazwy pliku, wypeniona zerami */
}p2p_file;

struct p2p_file_hdr
{
		int type;       /* 0x0003 GG_DCC_FILEHEADER, jeli paczka nie jest ostatnia. 0x0002 GG_DCC_LAST_FILEHEADER wpp. */
		int chunk_size; /* rozmiar paczki */
		int dunno;      /* 0 */
};

struct p2p_gimme_file{
		int type;      /* 0x0006 GG_DCC_GIMME_FILE */
		int start;     /* od ktrej pozycji zacz przesyanie */
		int dunno;     /* 0 */
};

#pragma pack(pop)

#endif //_GG_STRUCT_H